Redmine - Defect #9879
Redmine 1.2.2, Mercurial, LDAP

2011-12-27 11:11 - Marco Battistoni

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM extra Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 1.2.2
Description

| have an installation of Redmine 1.2.2 with LDAP and | have configured the server as per the instructions [
http://www.redmine.org/projects/redmine/wiki/HowTo_Install_Redmine_12x_with_Mercurial_and_Subversion_on_Ubuntu_Server_10
04 [HowTo_Install_Redmine_12x_with_Mercurial_and_Subversion_on_Ubuntu_Server_1004 ]] the only difference is that is install on
a Centos 5.7. Everythings works perfectly smooth, creation of repository, the authorization on redmine via mysq| is working great.
The problem is when | attached the LDAP server the users(LDAP users) do not have the password recorded in the mysql and
therefore | can authenticate correctly in redmine, but | cannot push on the Mercurial repository.

Do | miss something?
Thank you for your answer.

Marco

History

#1 - 2011-12-27 11:12 - Marco Battistoni

Sorry last thing | can push correctly if the user is registred directly in redmine and not in the LDAP.

#2 - 2012-01-03 10:15 - Etienne Massip
- Category changed from LDAP to SCM extra
- Assignee deleted (Jean-Philippe Lang)

You mean with Reposman.rb? What is the symptom?

#3 - 2012-01-03 18:16 - Marco Battistoni

No | mean that with LDAP the password is not stored in the database, consequence that Mercurial cannot access Redmine via the database and so
the LDAP user, for example, cannot push in the repository. Is this a bug? or am | missing something ??
Thanks

#4 - 2012-01-03 18:43 - omer nanjip

- Assignee set to Etienne Massip

#5 - 2012-01-04 09:25 - Etienne Massip
- Assignee deleted (Etienne Massip)

#6 - 2012-01-04 14:17 - Etienne Massip

Marco Battistoni wrote:
No | mean that with LDAP the password is not stored in the database
| got that, but this is normal, Redmine don't have to store the LDAP password.
, consequence that Mercurial cannot access Redmine via the database and so the LDAP user, for example, cannot push in the repository. Is this

a bug? or am | missing something ??

| don't get that, how do you push what?
If you're pushing(?) through Apache + redmine.pm then it should work fine with LDAP; maybe the issue is due to the lack of Redmine user <-> Repo
user mapping in the project settings Repository tab?!
